import React from 'react';
import { theme } from 'twin.macro';
import GlobalStyles from '../src/styles/GlobalStyles';
import { CacheProvider } from '@emotion/react';
import createCache from '@emotion/cache';

const cache = createCache({ prepend: true, key: 'twin' });

export const parameters = {
  actions: { argTypesRegex: '^on[A-Z].*' },
  layout: 'centered',
  backgrounds: {
    default: 'standard',
    values: [
      {
        name: 'standard',
        value: `linear-gradient(180deg, ${theme`colors.white`})`,
      },
      {
        name: 'gray 800',
        value: `${theme`colors.gray.800`}`,
      },
      {
        name: 'electric-ribbon',
        value: `linear-gradient(180deg, ${theme`colors.electric`}, ${theme`colors.ribbon`})`,
      },
    ],
  },
  controls: { expanded: true },
};

export const decorators = [
  (Story) => (
    <CacheProvider value={cache}>
      <GlobalStyles />
      <Story />
    </CacheProvider>
  ),
];
