import React from 'react';
import { Meta } from '@storybook/react/types-6-0';
import ButtonGroup, { ButtonGroupProps } from './ButtonGroup';
import Button from '../Button';

export default {
  title: 'Components/ButtonGroup',
  component: ButtonGroup,
  parameters: {
    docs: {
      inlineStories: true,
    },
  },
} as Meta;

export const DefaultButtons = () => (
  <ButtonGroup>
    <Button size="md" height="md" width="md" label="button" />
    <Button size="md" height="md" width="md" label="button" />
    <Button size="md" height="md" width="md" label="button" />
  </ButtonGroup>
);

export const BorderButtons = () => (
  <ButtonGroup>
    <Button size="md" height="md" width="md" label="button" fill="border" />
    <Button size="md" height="md" width="md" label="button" fill="border" />
    <Button size="md" height="md" width="md" label="button" fill="border" />
  </ButtonGroup>
);

export const TextButtons = () => (
  <ButtonGroup>
    <Button size="md" height="md" width="md" label="button" fill="text" />
    <Button size="md" height="md" width="md" label="button" fill="text" />
    <Button size="md" height="md" width="md" label="button" fill="text" />
  </ButtonGroup>
);
