import React from 'react';
import tw, { styled, css } from 'twin.macro';
import Button from '../Button';

export interface ButtonGroupProps {
  /** pls provide button children */
  children: React.ReactChild | React.ReactChild[];
}

const StyledButtonGroup = styled.button(({}: ButtonGroupProps) => [
  tw`all-child:(m-0! rounded-none! first:rounded-l-sm! last:rounded-r-sm!  ) `,
]);

const ButtonGroup = (props: ButtonGroupProps) => (
  <StyledButtonGroup className="group">{props.children}</StyledButtonGroup>
);

ButtonGroup.defaultProps = {};

export default ButtonGroup;
