import React from 'react';
import { Meta } from '@storybook/react/types-6-0';
import InputContainer from './InputContainer';

const inputTypes = [
  'checkbox',
  'color',
  'date',
  'datetime-local',
  'email',
  'file',
  'image',
  'month',
  'number',
  'password',
  'radio',
  'range',
  'reset',
  'search',
  'submit',
  'tel',
  'text',
  'time',
  'url',
  'week',
];

export default {
  title: 'Components/InputContainer',
  component: InputContainer,
  parameters: {
    docs: {
      inlineStories: true,
    },
  },
} as Meta;

export const TextInput = () => (
  <InputContainer type="text" label="im a label" />
);

export const AllTypes = () => (
  <div
    style={{
      display: 'grid',
      gridGap: '20px',
      gridTemplateColumns: 'repeat(2, [col-start] 150px [col-end])',
      justifyItems: '',
      alignItems: 'end',
    }}
  >
    {inputTypes.map((type) => (
      <>
        <div>{type}</div>
        <div>
          <InputContainer type={type} label={type} />
        </div>
      </>
    ))}
  </div>
);
